Summary: Script-Cluster V2
Name: sccl2
Version: 2.3
Release: 5
License: GPL
Group: Utilities/System
Source: sccl2-2.3.tgz
BuildArch: noarch
BuildRoot: /dev/shm/sccl2_makerpm
Requires: u2webtools >= 9.2, syslinux
Conflicts: sccl

%description
SCCL SCript-CLuster for Linux Version 2

%prep
echo

%setup

%build
echo

%install
if [[ -n "$RPM_BUILD_ROOT" ]]
 then
  mkdir -p $RPM_BUILD_ROOT
  cp -a `ls| grep -v 'SRC'` $RPM_BUILD_ROOT/
else
  rm -rf /dev/shm/sccl_makerpm
  mkdir -p /dev/shm/sccl_makerpm
  cp -a `ls| grep -v 'SRC'` /dev/shm/sccl_makerpm
fi

%files
%defattr(-,root,root) 
%attr(755,root,root) %dir /etc/sccl
%attr(755,root,root) %dir /etc/sccl/scripts
%attr(755,root,root) %dir /usr/share/sccl
%attr(755,root,root) %dir /usr/share/sccl/bin
%attr(755,root,root) %dir /usr/share/sccl/html
%attr(700,root,root) %dir /usr/share/sccl/data
%attr(755,root,root) /etc/init.d/sccl_cluster
%attr(644,root,root) /etc/sccl/packages.conf.sample
%attr(644,root,root) %config /etc/sccl/certs.conf
%attr(644,root,root) /etc/sccl/sccl.conf.template
%attr(644,root,root) /etc/sccl/resources.conf.sample
%attr(755,root,root) %config /etc/unix2web/sccl.conf
%attr(644,root,root) /etc/profile.d/sccl.csh
%attr(644,root,root) /etc/profile.d/sccl.sh
%attr(644,root,root) /etc/cron.d/sccl2
/usr/share/sccl/sccl_disable_node
/usr/share/sccl/sccl_enable_node
/usr/share/sccl/sccl_get_aktnode
/usr/share/sccl/sccl_list_cluster
/usr/share/sccl/sccl_list_cluster_nodes
/usr/share/sccl/sccl_list_nodes
/usr/share/sccl/sccl_restart
/usr/share/sccl/sccl_show_cluster
/usr/share/sccl/sccl_start
/usr/share/sccl/sccl_start_node
/usr/share/sccl/sccl_stop
/usr/share/sccl/sccl_stop_node
/usr/share/sccl/sccl_test_res
/usr/share/sccl/show_cluster
%attr(755,root,root) /usr/share/sccl/bin/mount_test
%attr(755,root,root) /usr/share/sccl/bin/ip_test
%attr(755,root,root) /usr/share/sccl/bin/ip_broadcast
%attr(755,root,root) /usr/share/sccl/bin/ip_netbits
%attr(755,root,root) /usr/share/sccl/bin/ip_network
%attr(755,root,root) /usr/share/sccl/bin/raw_test
%attr(755,root,root) /usr/share/sccl/bin/sccl_cat_lockfile
%attr(755,root,root) /usr/share/sccl/bin/sccl_list_cluster_nodes
%attr(755,root,root) /usr/share/sccl/bin/sccl_get_config
%attr(755,root,root) /usr/share/sccl/bin/sccl_list_cluster
%attr(755,root,root) /usr/share/sccl/bin/sccl_list_process
%attr(755,root,root) /usr/share/sccl/bin/sccl_start_tst
%attr(755,root,root) /usr/share/sccl/bin/sccl_remove_node
%attr(755,root,root) /usr/share/sccl/bin/sccl_stop_tst
%attr(755,root,root) /usr/share/sccl/bin/sccl_u2w_admin
%attr(755,root,root) /usr/share/sccl/bin/get_eth_broadcast_dev
%attr(755,root,root) /usr/share/sccl/bin/get_eth_dev
%attr(755,root,root) /usr/share/sccl/bin/sccl_list_nodes
%attr(755,root,root) /usr/share/sccl/bin/sccl_probe_res
%attr(755,root,root) /usr/share/sccl/bin/sccl_probe_resd
%attr(755,root,root) /usr/share/sccl/bin/sccl_test_res
%attr(755,root,root) /usr/share/sccl/bin/sccl_test_res_on_node
%attr(755,root,root) /usr/share/sccl/bin/sccl_test_resource
%attr(755,root,root) /usr/share/sccl/bin/sccl_get_aktnode
%attr(755,root,root) /usr/share/sccl/bin/sccl_start_tst_prg
%attr(755,root,root) /usr/share/sccl/bin/sccl_test_process
%attr(755,root,root) /usr/share/sccl/bin/sccl_update_ips
%attr(755,root,root) /usr/share/sccl/bin/sccl_stop_stst
%attr(755,root,root) /usr/share/sccl/bin/show_cluster2uls.sh
%attr(755,root,root) /usr/share/sccl/bin/ip_startstop
%attr(755,root,root) /usr/share/sccl/bin/sccl_enable_node
%attr(755,root,root) /usr/share/sccl/bin/sccl_stop_res_rev
%attr(755,root,root) /usr/share/sccl/bin/sccl_stop_node
%attr(755,root,root) /usr/share/sccl/bin/fsg_startstop
%attr(755,root,root) /usr/share/sccl/bin/sccl_disable_node
%attr(755,root,root) /usr/share/sccl/bin/sccl_win_install_service
%attr(755,root,root) /usr/share/sccl/bin/gpmount_test
%attr(755,root,root) /usr/share/sccl/bin/sccl_read_config
%attr(755,root,root) /usr/share/sccl/bin/sccl_check_config
%attr(755,root,root) /usr/share/sccl/bin/sccl_reset_passwords
%attr(755,root,root) /usr/share/sccl/bin/lcmap
%attr(755,root,root) /usr/share/sccl/bin/sccl_show_cluster
%attr(755,root,root) /usr/share/sccl/bin/sccl_dist_config
%attr(755,root,root) /usr/share/sccl/bin/sccl_get_alt_node
%attr(755,root,root) /usr/share/sccl/bin/sccl_get_nextnode
%attr(755,root,root) /usr/share/sccl/bin/sccl_start_node
%attr(755,root,root) /usr/share/sccl/bin/globals.functions
%attr(755,root,root) /usr/share/sccl/bin/sccl_2_uls
%attr(755,root,root) /usr/share/sccl/bin/sccl_status_resource
%attr(755,root,root) /usr/share/sccl/bin/sccl_disable
%attr(755,root,root) /usr/share/sccl/bin/sccl_enable
%attr(755,root,root) /usr/share/sccl/bin/sccl_list_packages_on_node
%attr(755,root,root) /usr/share/sccl/bin/sccl_list_packages
%attr(755,root,root) /usr/share/sccl/bin/sccl_restart
%attr(755,root,root) /usr/share/sccl/bin/sccl_start_resource
%attr(755,root,root) /usr/share/sccl/bin/sccl_stop
%attr(755,root,root) /usr/share/sccl/bin/sccl_stop_package
%attr(755,root,root) /usr/share/sccl/bin/sccl_stop_resource
%attr(755,root,root) /usr/share/sccl/bin/sccl_start
%attr(755,root,root) /usr/share/sccl/bin/sccl_start_package
%attr(755,root,root) /usr/share/sccl/bin/sccl_create_cluster
%attr(755,root,root) /usr/share/sccl/bin/sccl_join_cluster
%attr(755,root,root) /usr/share/sccl/bin/fs_startstop
%attr(755,root,root) /usr/share/sccl/bin/sccl_add_node
/usr/share/sccl/sccl_dist_config
/usr/share/sccl/globals.functions
/usr/share/sccl/sccl_disable
/usr/share/sccl/sccl_enable
/usr/share/sccl/sccl_join_cluster
/usr/share/sccl/sccl_reset_passwords
%attr(644,root,root) /usr/share/sccl/html/join_to_cluster.s2w
%attr(644,root,root) /usr/share/sccl/html/sccl_dist_config.s2w
%attr(644,root,root) /usr/share/sccl/html/sccl_cat_lockfile.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_disable_node.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_enable_node.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_read_config.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_list_process.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_restart.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_start.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_start_node.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_start_tst_prg.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_stop.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_stop_node.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_stop_tst.s3w
%attr(644,root,root) /usr/share/sccl/html/sccl_list_packages_on_node.s3w
/usr/share/sccl/html/sccl_list_pakete_on_node.s3w
/usr/share/sccl/sccl_update_ips
/usr/share/sccl/sccl_add_node
/usr/share/sccl/sccl_create_cluster
/usr/share/sccl/sccl_remove_node
%attr(600,root,root) /usr/share/sccl/data/JOINCLUSTER-ca.pem
%attr(600,root,root) /usr/share/sccl/data/JOINCLUSTER-server-cert.pem
%attr(600,root,root) /usr/share/sccl/data/JOINCLUSTER-server-key.pem
%attr(644,root,root) /usr/share/sccl/README.txt
/usr/share/sccl/sccl_check_config
/usr/share/sccl/sccl_test_package
/usr/share/sccl/sccl_list_packages_on_node
/usr/share/sccl/sccl_2_uls

%pre
if [[ ! -d /usr/share/sccl ]]
 then
  if [[ -d /usr/local/sccl/bin ]]
   then
    rmdir /usr/local/sccl/bin 2>/dev/null
  fi
  if [[ -d /usr/local/sccl ]]
   then
    rmdir /usr/local/sccl 2>/dev/null
  fi
  if [[ -d /usr/local/sccl ]]
   then
    echo 'Error: existing directory /usr/local/sccl with files'
    echo
    exit 1
  fi
fi
if ! /usr/bin/u2w_passwd -? 2>&1 | fgrep -q '<pwd>'
 then
  echo "u2webtools version 9.2 isn't installed."
  echo
  exit 1
fi

%post
if [ "$1" = "1" ]
 then
  if [ ! -d /var/clusterlocks ]
   then
    mkdir /var/clusterlocks
  fi
  if which insserv >/dev/null 2>&1
   then
    insserv sccl_cluster
  elif which chkconfig >/dev/null 2>&1
   then
    chkconfig --add sccl_cluster
  else
    echo "Achtung: Der Dienst sccl_cluster konnte nicht aktiviert werden"
  fi
else
  if [ -f /etc/sccl/sccl.conf ] && egrep -q 'PAKETE|RESOURCEN' /etc/sccl/sccl.conf
   then
    sed -i 's/^PAKETE=/PACKAGES=/;s/^RESOURCEN=/RESOURCES=/' /etc/sccl/sccl.conf
  fi
fi
if ! getent group sccl >/dev/null
 then
  if getent group 579
   then
    groupadd sccl
  else
    groupadd -g 579 sccl
  fi
  if [[ -f /etc/sccl/adminpwd.dat ]]
   then
    chgrp sccl /etc/sccl/adminpwd.dat
    chmod g+r  /etc/sccl/adminpwd.dat
  fi
fi
echo
echo "*****************************************"
echo "* Bei einem Upgrade von <2.3 auf 2.3    *"
echo "* sollten alle Knoten upgedatet werden. *"
echo "*****************************************"
echo


%preun
if [ "$1" = "0" ]
 then
  if which insserv >/dev/null 2>&1
   then
    insserv -r sccl_cluster
  elif which chkconfig >/dev/null 2>&1
   then
    chkconfig --del sccl_cluster
  else
    echo "Achtung: Der Dienst sccl_cluster konnte nicht deaktiviert werden"
  fi
  /etc/init.d/sccl_cluster stop
  if [[ -f /etc/sccl.conf ]]
   then
    /etc/init.d/unix2web stop sccl
  fi
fi

%postun
if [ "$1" = "0" ]
 then
  if getent group sccl >/dev/null
   then
    groupdel sccl
  fi
  exit 0
fi

%clean
if [[ -n "$RPM_BUILD_ROOT" ]]
 then
  rm -rf $RPM_BUILD_ROOT
else
  rm -rf /dev/shm/sccl2_makerpm
fi

%changelog
* Thu Aug 11 2016 sandix@universal-logging-system.org
- /etc/init.d/sccl_cluster: Unterstuetzung fuer systemd
* Mon Apr 26 2016 sandix@universal-logging-system.org
- fs_startstop: Vor dismount pruefen, ob FS gemountet ist.
-               Abfangen von Programmabbruch, damit fslock wieder angelegt
-               wird, wenn unmount nicht erfolgreich war.
- bugfix in /etc/profile.d/sccl.sh
* Thu Apr 21 2016 sandix@universal-logging-system.org
- sccl_stop_node setzt Flag, damit keine Pakete mehr gestartet werden können
- fs_startstop versucht beim dismount bis zu 60 Sekunden das VZ zu dismounten
* Mon Apr 11 2016 sandix@universal-logging-system.org
- wenn "insserv" nicht vorhanden, dann "chkconfig" nutzen
- /etc/profile.d/sccl.sh setzt bei unkonfiguriertem Cluster Defaultpfade
* Wed Mar 23 2016 sandix@universal-logging-system.org
- removed old unused resources: SPKG, !SRES, !SCPKG, RO
- changed switch '-f' to '--force' in
- sccl_create_cluster, sccl_add_node and sccl_join_cluster
- some renamings: pakete -> packages
- removed link /clusterlocks -> var/clustserlocks
* Thu Feb 18 2016 sandix@universal-logging-system.org
- sccl_crontab extendet: packages / resources
* Mon Feb  8 2016 sandix@universal-logging-system.org
- recources.conf: PRGP with parameters.
-                 PRG without parameters.
* Mon Feb  1 2016 sandix@universal-logging-system.org
- recources.conf: PRG with parameters.
* Thu Jan 29 2016 sandix@universal-logging-system.org
- fixed globals.function
* Thu Jan 27 2016 sandix@universal-logging-system.org
- fixed bug in sccl_start_node
* Thu Jan 21 2016 sandix@universal-logging-system.org
- enabled full qualified domain names - sccl_create_cluster -F
* Mon Jan 11 2016 sandix@universal-logging-system.org
- fixed sccl_check_config
* Thu Dec 10 2015 sandix@universal-logging-system.org
- sccl_crontab: enable/disable
* Thu Aug 12 2015 sandix@universal-logging-system.org
- connection timeout on https is not supported by httpget
- workaround in globals.functions
* Thu Jul 23 2015 sandix@universal-logging-system.org
- modified sccl_create_cluster: added "CA-" to cluster CN
* Thu Jun 11 2015 sandix@universal-logging-system.org
- added "-r" to sccl_stop_node and sccl_start_node
* Fri May  8 2015 sandix@universal-logging-system.org
- fixed starting loop bug
* Mon Apr 28 2015 sandix@universal-logging-system.org
- changed hostnames to lowercase in /etc/sccl/sccl.conf
* Mon Apr 23 2015 sandix@universal-logging-system.org
- fixed bug on RST with multiple packages
* Mon Apr 20 2015 sandix@universal-logging-system.org
- changed hostnames to lowercase
* Fri Apr 10 2015 sandix@universal-logging-system.org
- fixed bug in %preun
* Mon Mar 23 2015 sandix@universal-logging-system.org
- V 2.0 - changed cluster communication to HTTPS
* Tue Jan 27 2015 sandix@universal-logging-system.org
- changed order on starting stopped packages with RST
* Tue Jan 20 2015 sandix@universal-logging-system.org
- fixed bug in sccl_start (sccl_start <package> <thisnode>)
* Thu Jan 15 2015 sandix@universal-logging-system.org
- fixed bug in sccl_start.s3w
* Tue Sep 23 2014 sandix@universal-logging-system.org
- missed links sccl_disable and sccl_enable
* Tue Sep 19 2014 sandix@universal-logging-system.org
- some changes in resources
* Tue Aug  8 2014 sandix@universal-logging-system.org
- some changes to RST, PKG and CPKG
* Wed Sep 25 2013 sandix@universal-logging-system.org
- fixed wrong description for STST in ressources.conf.sample
- STST: if <path> is not absolute, search in /etc/sccl/scripts
* Wed Sep 25 2013 sandix@universal-logging-system.org
- fixted error in start of u2w-server
* Wed Jun 19 2013 sandix@universal-logging-system.org
- added SPKG: subpackage on other node
* Tue Jan 31 2012 sandix@universal-logging-system.org
- fixed /etc/init.d/sccl_cluster to clean /clusterlocks on boot
- fixed TST to ignore problems on starting TST program
* Fri Feb 18 2011 sandix@universal-logging-system.org
- added automatic switching on errors
* Tue Jul 14 2009 sandix@universal-logging-system.org
- changed sccl_show_cluster to display the cluster name in the header
* Thu Jan 15 2009 sandix@universal-logging-system.org
- added sccl_check_config: list differences in config-files
* Thu Jul 10 2008 sandix@universal-logging-system.org
- added nfsserver in /etc/init.d/sccl_cluster
- added erroroutput if cluster package not found in ressourcen.conf
* Fri Jun 20 2008 sandix@universal-logging-system.org
- Fixed error in fsg_startstop
* Wed Jun 18 2008 sandix@universal-logging-system.org
- added NFSG in sccl_stop_resource
* Mon May 19 2008 sandix@universal-logging-system.org
- Some errors in groupmounts fixed
* Tue Jan 22 2008 sandix@universal-logging-system.org
- New version with groupmounts
